summaryrefslogtreecommitdiffstats
path: root/hosts/opi2a-armhf-rb/etc/pbuilder
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-01-05 16:44:08 +0100
committerHolger Levsen <holger@layer-acht.org>2016-01-05 16:44:08 +0100
commit018ac4c66f70c9463b4f07853ee4e65fcbcd8dee (patch)
treea3a99bef9108ea390cce882406a36c230320801a /hosts/opi2a-armhf-rb/etc/pbuilder
parent60167da31a58f77de864bfc5f35d1e3ecb75f15e (diff)
downloadjenkins.debian.net-018ac4c66f70c9463b4f07853ee4e65fcbcd8dee.tar.xz
reproducible armhf: add two new armhf boards and pbuilder/schroot/maintenance jobs for them, thanks to Vagrant
Diffstat (limited to 'hosts/opi2a-armhf-rb/etc/pbuilder')
-rwxr-xr-xhosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup17
-rwxr-xr-xhosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup21
-rwxr-xr-xhosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment30
3 files changed, 68 insertions, 0 deletions
diff --git a/hosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup b/hosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
new file mode 100755
index 00000000..bbea69fa
--- /dev/null
+++ b/hosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+BUILDDIR="${BUILDDIR:-/tmp/buildd}"
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -u "$BUILDDIR"
+ rmdir "$BUILDDIR"
+ mv /tmp/disorderfs "$BUILDDIR"
+ echo " done."
+fi
diff --git a/hosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup b/hosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
new file mode 100755
index 00000000..73f4083c
--- /dev/null
+++ b/hosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+BUILDDIR="${BUILDDIR:-/tmp/buildd}"
+
+echo "debug output: disk usage on $(hostname) at $(date -u)"
+df -h
+echo
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -u "$BUILDDIR"
+ rmdir "$BUILDDIR"
+ mv /tmp/disorderfs "$BUILDDIR"
+ echo " done."
+fi
diff --git a/hosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment b/hosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment
new file mode 100755
index 00000000..dda76947
--- /dev/null
+++ b/hosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+set -e
+
+BUILDDIR="${BUILDDIR:-/tmp/buildd}"
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+echo "I: Changing host+domainname to test build reproducibility" >&2
+sed -e '/^127.0.0.1/s/$/ i-capture-the-hostname i-capture-the-hostname.i-capture-the-domain/' -i /etc/hosts
+hostname i-capture-the-hostname
+domainname i-capture-the-domain
+echo "I: Adding a custom variable just for the fun of it..." >&2
+export CAPTURE_ENVIRONMENT="I capture the environment"
+
+# temporarily disable disorderfs as we have problems properly unmounting it
+exit 0
+
+# use disorderfs
+if [ -x /usr/bin/disorderfs ] ; then
+ echo -n "Moving $BUILDDIR to /tmp/disorderfs and mounting this as $BUILDDIR via the fuse disorderfs…"
+ mknod -m 666 /dev/fuse c 10 229
+ mv "$BUILDDIR" /tmp/disorderfs
+ mkdir "$BUILDDIR"
+ disorderfs --multi-user=yes /tmp/disorderfs "$BUILDDIR"
+ echo " done."
+else
+ echo "Warning: disorderfs not available."
+fi